#
# spec file for package [VarGibbs]
#

# norootforbuild

Name:           VarGibbs
Version:        4.0
Release:        3.1
#Release:        1.<CI_CNT>.<B_CNT>
Summary:        Calculation of DNA nearest-neighbour thermodynamic parameters

License:        GPL-3.0
Group:		Productivity/Scientific/Physics
URL:            https://sites.google.com/site/geraldweberufmg/vargibbs
Source0:        vargibbs-4.0.tar.bz2

BuildRequires:  gcc-c++ 
BuildRequires:  gsl-devel
Requires:       gsl
BuildRequires:  boost-devel
%if 0%{?suse_version} == 1310
BuildRequires:  libboost_filesystem1_53_0 libboost_system1_53_0 libboost_iostreams1_53_0
%endif
%if 0%{?suse_version} == 1320
BuildRequires:  libboost_filesystem1_54_0 libboost_system1_54_0 libboost_iostreams1_54_0
%endif
#OpenSuSE Leap 15.0, 15.1 and 15.2 https://en.opensuse.org/openSUSE:Packaging_for_Leap#RPM_Distro_Version_Macros
%if 0%{?suse_version} == 1500
BuildRequires:  libboost_filesystem1_66_0-devel libboost_system1_66_0-devel libboost_regex1_66_0-devel  libboost_iostreams1_66_0-devel
%endif
#OpenSuSE Tumbleweed as of 02/2020 https://en.opensuse.org/openSUSE:Packaging_for_Leap#RPM_Distro_Version_Macros
%if 0%{?suse_version} == 1550
BuildRequires:  libboost_filesystem1_71_0-devel libboost_system1_71_0-devel libboost_regex1_71_0-devel  libboost_iostreams1_71_0-devel
%endif
%if %{defined fedora}
BuildRequires:  boost-filesystem
%endif
%if 0%{?suse_version}
BuildRequires:  libblas3 
%endif
%if %{defined fedora}
BuildRequires:  blas
%endif
BuildRequires:  zlib-devel

#specific script for dealing with file duplicates
%if ! %{defined scientificlinux_version} && ! %{defined centos_version} && ! %{defined rhel}
BuildRequires:  fdupes
%endif

%description
Numerical method for calculating nearest-neighbour (NN) entropy and enthalpy parameters 
from nucleotide melting temperatures.

%prep
%setup -q

%build
make 


%install
mkdir -p %{buildroot}/%{_bindir}
install -m 755 vargibbs %{buildroot}/%{_bindir}/vargibbs
mkdir -p %{buildroot}/%{_datadir}/%{name}
cp -r examples %{buildroot}/%{_datadir}/%{name}
cp -r data %{buildroot}/%{_datadir}/%{name}

%if ! %{defined scientificlinux_version} && ! %{defined centos_version} && ! %{defined rhel}
%fdupes -s %{buildroot}/%{_datadir}
%endif

%clean
rm -rf %%{buildroot}

%files
%defattr(-, root, root)
%{_bindir}/vargibbs
%doc doc/vargibbs-user-manual.pdf
%doc gpl-3.0.txt
%{_datadir}/%{name}

%changelog
* Tue May 09 2023 <gweberbh@gmail.com> 4.0
New parameters for LNA. 
* Mon Aug 16 2021 <gweberbh@gmail.com> 3.1
New script files for RNA. 
* Mon Feb 01 2021 <gweberbh@gmail.com> 3.0
Extended data format.
* Fri Mar 22 2019 <gweberbh@gmail.com> 2.2
New parameter files for hybrid DNA-RNA. New option to require log files to be written in gzip format (new option -zlog). Redesign of NN calculation taking advantage of pointers, CPU times reduce by a factor of 7 compared to previous versions. Added symmetry_correction_entropy to some parameter files. New parameter file P-SL04.par. boost_iostreams library is now required for compilation.
* Fri Oct 05 2018 <gweberbh@gmail.com> 2.1
New parameters for RNA with salt dependence. New option for performing numerous salt corrections.
* Fri Aug 25 2017 <gweberbh@gmail.com> 2.0 
Modifications for hybrid DNA-RNA sequences with specific naming scheme for parameters. Documentation updates and corrections. Corrected parameter files P-BS86.par and P-FR86.par for RNA. 
Several new parameters from the literature. Added new option nnpo for using NN parameters only.
* Thu Dec 10 2015 <gweberbh@gmail.com> 1.1
Documentation updates. Code clean up, removed gbc_exp from C++ name space. Linking to the library libboost_regex is now required. Added optimized parameter files at different salt concentrations for D-OW04 datasets. Added new parameters from the literature. Correcting bug which was not generating complementary sequence when cseq was not given. You can now specify a list of Ct concentrations in option -ct.
* Fri Jul 25 2014 <gweberbh@gmail.com> 1.0
First Public Release 
